# coding: utf-8                                      #(1)
require './app.rb'                                   #(2)
require 'spec'
require 'webrat'
require 'rack/test'

set :environment, :test                              #(3)
Webrat.configure{|config| config.mode = :rack}

describe "このアプリケーションは" do
  include Rack::Test::Methods
  include Webrat::Methods
  include Webrat::Matchers
  
  def app; Sinatra::Application; end

  context "トップページにアクセスされたとき" do
    before :all do
      get '/'                                        #(4)
    end

    it "ページを表示する" do
      last_response.should be_ok                     #(5)
      last_response.should =~ /New Gems/             #(6)
    end

    it "リストを表示する" do
      last_response.body.should have_selector("ul")  #(7)
    end
  end
end
